# ENVISAT Product Reader Python API

HomePage

  https://avalentino.github.io/pyepr

Author

  Antonio Valentino

Contact

  antonio.valentino@tiscali.it

Copyright

  2011-2021, Antonio Valentino

Version

  1.1.3

## Overview

PyEPR provides Python bindings for the ENVISAT Product Reader C API (EPR API) for reading satellite data from ENVISAT ESA (European Space Agency) mission.

PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR Level 1B and Level 2 and also ASAR data products. It provides access to the data either on a geophysical (decoded, ready-to-use pixel samples) or on a raw data layer. The raw data access makes it possible to read any data field contained in a product file.

## Documentation

- User Manual
  - Quick start
  - Requirements
  - Download
  - Installation
  - Testing
  - Python vs C API
  - Memory management
  - Arrays
  - Enumerators
  - Error handling and logging
  - Library initialization
  - High level API
  - Special methods
  - Update support
- Tutorials
  - Interactive use of PyEPR
  - Exporting band data
  - Exporting bitmasks
  - NDVI computation
  - Update `Field` elements
  - GDAL export example
- API Reference
  - Classes
  - Functions
  - Exceptions
  - Data
- Change history
  - PyEPR 1.1.3 (13/09/2021)
  - PyEPR 1.1.2 (06/11/2021)
  - PyEPR 1.1.1 (07/08/2021)
  - PyEPR 1.1.0 (06/08/2021)
  - PyEPR 1.0.1 (07/03/2020)
  - PyEPR 1.0.0 (08/09/2019)
  - PyEPR 0.9.5 (23/08/2018)
  - PyEPR 0.9.4 (29/04/2018)
  - PyEPR 0.9.3 (02/05/2015)
  - PyEPR 0.9.2 (08/03/2015)
  - PyEPR 0.9.1 (27/02/2015)
  - PyEPR 0.9 (27/02/2015)
  - PyEPR 0.8.2 (03/08/2014)
  - PyEPR 0.8.1 (07/09/2013)
  - PyEPR 0.8 (07/09/2013)
  - PyEPR 0.7.1 (19/08/2013)
  - PyEPR 0.7 (04/08/2013)
  - PyEPR 0.6.1 (26/04/2012)
  - PyEPR 0.6 (12/08/2011)
  - PyEPR 0.5 (25/04/2011)
  - PyEPR 0.4 (10/04/2011)
  - PyEPR 0.3 (01/04/2011)
  - PyEPR 0.2 (20/03/2011)
  - PyEPR 0.1 (09/03/2011)

## Other versions

Online documentation for other PyEpr versions:

- latest development

- 1.1.3 (latest stable)

- 1.1.2

- 1.1.1

- 1.1.0

- 1.0.1

- 1.0.0

- 0.9.5

- 0.8.2

- 0.7.1

- 0.6.1

## License

Copyright (C) 2011-2021 Antonio Valentino <antonio.valentino@tiscali.it>

PyEPR is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

PyEPR is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with PyEPR. If not, see <http://www.gnu.org/licenses/>.